madkit.kernel

## Class KernelAddress

- java.lang.Object
- - madkit.kernel.KernelAddress

- All Implemented Interfaces:
    Serializable

      public class KernelAddress
      extends Object
      implements Serializable

  This class represents a unique identifier for MaDKit kernel. Uniqueness is guaranteed even when different kernels run on the same JVM or over the network.
  Since:
    MaDKit 1.0
  Version:
    5.31
  Author:
    Oliver Gutknecht, Fabien Michel
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Tells if another kernel address is the same.
    `String` | `getNetworkID()`
    `int` | `hashCode()`
    `String` | `toString()` Returns a simplified string representation for this platform address

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Tells if another kernel address is the same. If `true`, this means that both addresses refer to the same kernel, i.e. same MaDKit instance.
      Overrides:
        `equals` in class `Object`
      Throws:
        `ClassCastException` - On purpose, if the address is compared to an object with another type which is considered as a programming error.
        `NullPointerException` - On purpose, if the address is compared to `null` which is considered as a programming error.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getNetworkID

          public String getNetworkID()

    - #### toString

          public String toString()

      Returns a simplified string representation for this platform address
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation for this platform address

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 27 2016